Bug 229725

Summary: devel/csmith: remove ONLY_FOR_ARCHS
Product: Ports & Packages Reporter: Greg V <greg>
Component: Individual Port(s)Assignee: Mark Linimon <linimon>
Status: Closed FIXED    
Severity: Affects Only Me CC: greg, linimon
Priority: --- Flags: bugzilla: maintainer-feedback? (mmokhi)
Version: Latest   
Hardware: arm64   
OS: Any   
Bug Depends on:    
Bug Blocks: 201763    
Attachments:
Description Flags
csmith.patch none

Description Greg V 2018-07-12 12:16:27 UTC
Created attachment 195077 [details]
csmith.patch

Apparently there was x86 assembly there back in 2012:
https://github.com/freebsd/freebsd-ports/commit/49c06e19f9a13d7690679ef7791344ff06963fdf

The current version builds and works fine on aarch64.
Comment 1 Greg V 2018-10-22 11:59:01 UTC
ping
Comment 2 commit-hook freebsd_committer 2018-10-23 06:36:16 UTC
A commit references this bug:

Author: linimon
Date: Tue Oct 23 06:36:00 UTC 2018
New revision: 482810
URL: https://svnweb.freebsd.org/changeset/ports/482810

Log:
  Enable build on all archs.  Apparently the x86-specific code is long gone.

  PR:		229725
  Submitted by:	Greg V <greg at unrelenting.technology>
  Approved by:	maintainer timeout (> 3 months)

Changes:
  head/devel/csmith/Makefile